## spice-gtk 0.42

=== meson_options.txt ===
option('gtk',
    type : 'feature',
    description: 'Enable gtk+')

option('wayland-protocols',
    type : 'feature',
    description: 'Enable wayland protocols')

option('webdav',
    type : 'feature',
    description: 'Enable webdav support')

option('builtin-mjpeg',
    type : 'boolean',
    value : true,
    description : 'Enable the builtin mjpeg video decoder')

option('usbredir',
    type : 'feature',
    description : 'Enable usbredir support')

option('libcap-ng',
       type : 'feature',
       description: 'Enable libcap-ng support for the USB acl helper')

option('polkit',
    type : 'feature',
    description : 'Enable PolicyKit support for the USB acl helper')

option('pie',
    type : 'boolean',
    value : true,
    description : 'Enable position-independent-executable support for the USB acl helper')

option('usb-acl-helper-dir',
    type : 'string',
    value : '',
    description : 'Directory where the USB ACL helper binary should be installed')

option('usb-ids-path',
    type : 'string',
    value : '',
    description : 'Specify the path to usb.ids')

option('coroutine',
    type : 'combo',
    value : 'auto',
    choices : ['auto', 'ucontext', 'libucontext', 'gthread', 'winfiber'],
    description : 'Use ucontext or GThread for coroutines')

option('introspection',
    type : 'feature',
    description: 'Check for GObject instrospection requirements')

option('vapi',
    type : 'feature',
    description: 'Check for vala requirements')

option('alignment-checks',
    type : 'boolean',
    value : false,
    description : 'Enable runtime checks for cast alignment')

option('lz4',
    type : 'feature',
    description: 'Enable lz4 compression support')

option('sasl',
    type : 'feature',
    description : 'Use cyrus SASL authentication')

option('opus',
    type : 'feature',
    description: 'Enable Opus audio codec')

option('smartcard',
    type : 'feature',
    description : 'Enable smartcard support')

option('egl',
    type : 'feature',
    description: 'EGL support')

option('gtk_doc',
       type : 'feature',
       description : 'Generate API documentation with gtk-doc')

option('recorder',
    type : 'boolean',
    value : false,
    description: 'Enable recorder instrumentation')

option('valgrind',
    type : 'boolean',
    value : false,
    description : 'Enable Valgrind support')

=== debian/changelog ===
spice-gtk (0.42-4) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection
  * d/control, d/rules: Implement nodoc build-profile
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Rules-Requires-Root, no longer needed since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/salsa-ci.yml: Add

  [ Jeremy Bícha ]
  * Salsa CI: don't run fileordering reproducible test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 17:11:10 -0400

spice-gtk (0.42-3) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Update gir handling
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 14:34:48 -0400

spice-gtk (0.42-2.1) unstable; urgency=medium

  * debian/control: Remove hard-coded dependencies on libusbredirhost1 and
    libusbredirparser1 from spice-client-gtk. libspice-client-glib-2.0-8
    properly links and depends on the correct libraries. (Closes: #1068598)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 27 Apr 2024 16:22:29 +0200

spice-gtk (0.42-2) unstable; urgency=medium

  * debian/control.in: Include version with remmina-plugin-spice Breaks.
    A newer version has switched to libsoup3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 May 2023 07:06:47 -0400

spice-gtk (0.42-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libcap-ng-dev
  * debian/contorl.in: Bump minimum meson to 0.56
  * debian/rules: Set -Dauto_features=enabled
  * Update lintian override info format
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 10:35:25 -0500

=== debian/control ===
Source: spice-gtk
Section: misc
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Lin Qigang <lqi254@protonmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-gstbase-1.0-dev,
               gir1.2-gtk-3.0-dev,
               gobject-introspection (>= 1.80),
               gtk-doc-tools (>= 1.14) <!nodoc>,
               libacl1-dev,
               libcacard-dev (>= 0.1.2),
               libcairo2-dev (>= 1.2.0),
               libcap-ng-dev [linux-any],
               libepoxy-dev,
               libgdk-pixbuf2.0-doc <!nodoc>,
               libglib2.0-dev,
               libglib2.0-doc <!nodoc>,
               libgstreamer-plugins-base1.0-dev (>= 1.10),
               libgstreamer1.0-dev (>= 1.10),
               libgtk-3-dev (>= 3.22),
               libjpeg-dev,
               libjson-glib-dev,
               liblz4-dev,
               libopus-dev,
               libphodav-3.0-dev,
               libpixman-1-dev (>= 0.17.7),
               libpolkit-agent-1-dev,
               libpolkit-gobject-1-dev,
               libsasl2-dev,
               libspice-protocol-dev (>= 0.14.3),
               libssl-dev,
               libtext-csv-perl,
               libusb-1.0-0-dev (>= 2:1.0.21),
               libusbredirhost-dev (>= 0.7.1),
               libva-dev [linux-any],
               meson (>= 0.56),
               pkgconf,
               python3-pyparsing,
               python3-six,
               python3:any,
               valac (>= 0.18)
Standards-Version: 4.7.2
Homepage: https://www.spice-space.org/
Vcs-Git: https://salsa.debian.org/gnome-team/spice-gtk.git
Vcs-Browser: https://salsa.debian.org/gnome-team/spice-gtk

Package: spice-client-gtk
Architecture: any
Depends: libspice-client-glib-2.0-8 (= ${binary:Version}),
         libspice-client-gtk-3.0-5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Simple clients for interacting with SPICE servers
 Simple clients for interacting with SPICE servers. This package
 includes:
 .
 spicy - GTK+ based SPICE client tool
 spicy-screenshot - SPICE screen-shot capture tool
 spicy-stats - SPICE connection details display tool

Package: spice-client-glib-usb-acl-helper
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libspice-client-glib-2.0-8 (<< 0.37-3~)
Description: Helper tool to validate usb ACLs
 When passthrough USB devices to VMs, spice-client-glib-usb-acl-helper
 is called to validate usb ACLs via policykit policy

Package: libspice-client-glib-2.0-8
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: spice-client-glib-usb-acl-helper (= ${binary:Version}),
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gstreamer1.0-libav,
          gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-base,
          gstreamer1.0-plugins-good
Breaks: virt-viewer (<< 11.0-2~),
        gnome-boxes (<< 42.3),
        remmina-plugin-spice (<< 1.4.28),
Description: GObject for communicating with Spice servers (runtime library)
 libspice-glib4 provides glib objects for spice protocol
 decoding and surface rendering
 .
 This package provide the runtime library.

Package: gir1.2-spiceclientglib-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}
Breaks: gir1.2-spice-client-glib-2.0 (<< 0.34)
Description: GObject for communicating with Spice servers (GObject-Introspection)
 libspice-glib4 provides glib objects for spice protocol
 decoding and surface rendering
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libspice-client-glib-2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev (>= 2.46),
         libspice-client-glib-2.0-8 (= ${binary:Version}),
         libspice-protocol-dev (>= 0.14.1),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: GObject for communicating with Spice servers (development files)
 libspice-glib4 provides glib objects for spice protocol
 decoding and surface rendering
 .
 This package provide the development headers.

Package: libspice-client-gtk-3.0-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GTK3 widget for SPICE clients (runtime library)
 libspice-gtk3 provides gtk3 widget to show spice display
 and accept user input.
 .
 This package provide the runtime library.

Package: gir1.2-spiceclientgtk-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Breaks: gir1.2-spice-client-gtk-3.0 (<< 0.34)
Description: GTK3 widget for SPICE clients (GObject-Introspection)
 libspice-gtk3 provides gtk3 widget to show spice display
 and accept user input.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: libspice-client-gtk-3.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libglib2.0-dev (>= 2.46),
         libgtk-3-dev (>= 3.22),
         libspice-client-glib-2.0-dev (= ${binary:Version}),
         libspice-client-gtk-3.0-5 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Description: GTK3 widget for SPICE clients (development files)
 libspice-gtk3 provides gtk3 widget to show spice display
 and accept user input.
 .
 This package provide the development headers.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

conf_flags =

ifneq ($(DEB_HOST_ARCH_OS),linux)
conf_flags += -Dlibcap-ng=disabled
endif

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
conf_flags += -Dgtk_doc=enabled
else
conf_flags += -Dgtk_doc=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dusb-acl-helper-dir=/usr/libexec \
		-Dusb-ids-path=/usr/share/misc/usb.ids \
		$(conf_flags)

execute_after_dh_auto_install:
ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	# Make sure this directory exists even with nodoc, so that we don't
	# need to use dh-exec in d/*-dev.install
	install -d debian/tmp/usr/share/gtk-doc
endif
# Drop the private requirement as we don't have a static library and it makes
# the dependency list longer
	sed -E -i '/^(Libs|Requires)\.private:/D' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/spice-client-glib-2.0.pc
	sed -E -i '/^(Libs|Requires)\.private:/D' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/spice-client-gtk-3.0.pc

execute_after_dh_fixperms:
	chmod 4755 debian/spice-client-glib-usb-acl-helper/usr/libexec/spice-client-glib-usb-acl-helper

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://www.spice-space.org/download/gtk/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
